<!DOCTYPE HTML>
<html>
	<head>
		<title>Gameshow Main</title>
		<meta charset="utf-8" />
		<meta name="viewport" content="width=device-width, initial-scale=1" />
		<link rel="stylesheet" href="../assets/css/main.css" />
    <link rel="import" href="idleView.html">
    <link rel="import" href="answerView.html">

	</head>
	<body>
				<div class="inner" style="visibility: hidden; ">
						<ul>
							<li><a id="answer-view" data-section="answerview" href="#">Answer</a></li>
							<li><a id="idle-view"  data-section="idleview" href="#">Idle View</a></li>
						</ul>
				</div>

		<!-- Wrapper -->
			<div id="wrapper">
				<!-- changable page -->
			</div>

		<!-- Scripts -->
	<script src="http://localhost:4000/socket.io/socket.io.js" > </script>
		<script>
			const socket=io('http://localhost:4000');
			console.log("waiting for connection");
			socket.on('connect', () => {
				console.log("client 2 connected");
				// socket.join('some room');
				});
			

			socket.on('idle_main',data => {
				console.log('data sent from server - Test');
				console.log("title: ", data.data.price);
				console.log("message: ", data.data.song);
				
				const idelview=document.getElementById("idle-view");
				idelview.click();
				// whatwedo1.addEventListener("click",()=>{
				// 	socket.emit("whatwedo",{data:{price:"3000",song:"selam"}})
				// })
				// setTimeout(function() {
				// 	whatwedo1.click();
				// 	console.log("after click");
				// }, 5000);


			});

			
			socket.on('answer_main',data => {
				console.log('data sent from server - Test');
				console.log("title: ", data.data.price);
				console.log("message: ", data.data.song);
				
				const answerview=document.getElementById("answer-view");
				answerview.click();
				// set value to page

			});

		  </script>

      <script>window.$ = window.jQuery = require('../assets/js/jquery.min.js');</script>
      <script>
        require('./mainWindowManager.js')
	</script>

	
	</body>
</html>
